MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026880Open CASCADE[OCCT] OCCT:Configurationpublic2015-11-16 17:422016-04-20 15:51
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSUbuntuOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026880: Configuration, CMake - platform dependent code is not generated
DescriptionDuring CMake configuration process breaks if generation of platform dependent code is turned on.
Steps To Reproduce1. turn on platform dependent code regeneration
2. build OCCT on Ubuntu
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0048246)
git (administrator)
2015-11-16 17:43

Branch CR26880 has been created by ibs.

SHA-1: cb473a2c57444938bc3ec07b80075b423491de39


Detailed log of new commits:

Author: ibs
Date: Thu Nov 12 15:28:34 2015 +0300

    0026880: Configuration, CMake - platform dependent code is not generated
    
    several misprints fixed (upper case, sorting of empty list, empty parent directory)
(0048248)
ibs (developer)
2015-11-16 17:45

dear ski,
please review CR26880 branch of OCCT git
(0048281)
ski (developer)
2015-11-17 14:00

OCCT branch CR26880 was successfully configured and built on Ubuntu.

No remarks, please proceed. Check compilation, testing is not needed.
(0053137)
git (administrator)
2016-04-17 14:19

Branch CR26880 has been deleted by kgv.

SHA-1: cb473a2c57444938bc3ec07b80075b423491de39

- Related Changesets
occt: master fb3267c7
Timestamp: 2015-11-12 12:28:34
Author: ibs
Committer: bugmaster
Details ] Diff ]
0026880: Configuration, CMake - platform dependent code is not generated

several misprints fixed (upper case, sorting of empty list, empty parent directory)

CMake should consider CSF_ variables from EXTERNLIB file for each toolkit

CSF_ variables are defined in occt_csf for each OS
redundant CSF removed

Conflicts:
src/TKG3d/CMakeLists.txt
mod - adm/cmake/bison.cmake Diff ] File ]
add - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/vtk.cmake Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - src/DRAWEXE/CMakeLists.txt Diff ] File ]
mod - src/TKBin/CMakeLists.txt Diff ] File ]
mod - src/TKBinL/CMakeLists.txt Diff ] File ]
mod - src/TKBinTObj/CMakeLists.txt Diff ] File ]
mod - src/TKBinXCAF/CMakeLists.txt Diff ] File ]
mod - src/TKBO/CMakeLists.txt Diff ] File ]
mod - src/TKBool/CMakeLists.txt Diff ] File ]
mod - src/TKBRep/CMakeLists.txt Diff ] File ]
mod - src/TKCAF/CMakeLists.txt Diff ] File ]
mod - src/TKCDF/CMakeLists.txt Diff ] File ]
mod - src/TKD3DHost/CMakeLists.txt Diff ] File ]
mod - src/TKDCAF/CMakeLists.txt Diff ] File ]
mod - src/TKDraw/CMakeLists.txt Diff ] File ]
mod - src/TKernel/CMakeLists.txt Diff ] File ]
mod - src/TKernel/EXTERNLIB Diff ] File ]
mod - src/TKFeat/CMakeLists.txt Diff ] File ]
mod - src/TKFillet/CMakeLists.txt Diff ] File ]
mod - src/TKG2d/CMakeLists.txt Diff ] File ]
mod - src/TKG3d/CMakeLists.txt Diff ] File ]
mod - src/TKGeomAlgo/CMakeLists.txt Diff ] File ]
mod - src/TKGeomBase/CMakeLists.txt Diff ] File ]
mod - src/TKHLR/CMakeLists.txt Diff ] File ]
mod - src/TKIGES/CMakeLists.txt Diff ] File ]
mod - src/TKIVtk/CMakeLists.txt Diff ] File ]
mod - src/TKIVtkDraw/CMakeLists.txt Diff ] File ]
mod - src/TKLCAF/CMakeLists.txt Diff ] File ]
mod - src/TKMath/CMakeLists.txt Diff ] File ]
mod - src/TKMesh/CMakeLists.txt Diff ] File ]
mod - src/TKMeshVS/CMakeLists.txt Diff ] File ]
mod - src/TKOffset/CMakeLists.txt Diff ] File ]
mod - src/TKOpenGl/CMakeLists.txt Diff ] File ]
mod - src/TKPrim/CMakeLists.txt Diff ] File ]
mod - src/TKQADraw/CMakeLists.txt Diff ] File ]
mod - src/TKService/CMakeLists.txt Diff ] File ]
mod - src/TKShHealing/CMakeLists.txt Diff ] File ]
mod - src/TKSTEP/CMakeLists.txt Diff ] File ]
mod - src/TKSTEP209/CMakeLists.txt Diff ] File ]
mod - src/TKSTEPAttr/CMakeLists.txt Diff ] File ]
mod - src/TKSTEPBase/CMakeLists.txt Diff ] File ]
mod - src/TKSTL/CMakeLists.txt Diff ] File ]
mod - src/TKTObj/CMakeLists.txt Diff ] File ]
mod - src/TKTObjDRAW/CMakeLists.txt Diff ] File ]
mod - src/TKTopAlgo/CMakeLists.txt Diff ] File ]
mod - src/TKTopTest/CMakeLists.txt Diff ] File ]
mod - src/TKV3d/CMakeLists.txt Diff ] File ]
mod - src/TKViewerTest/CMakeLists.txt Diff ] File ]
mod - src/TKVRML/CMakeLists.txt Diff ] File ]
mod - src/TKXCAF/CMakeLists.txt Diff ] File ]
mod - src/TKXDEDRAW/CMakeLists.txt Diff ] File ]
mod - src/TKXDEIGES/CMakeLists.txt Diff ] File ]
mod - src/TKXDESTEP/CMakeLists.txt Diff ] File ]
mod - src/TKXMesh/CMakeLists.txt Diff ] File ]
mod - src/TKXml/CMakeLists.txt Diff ] File ]
mod - src/TKXmlL/CMakeLists.txt Diff ] File ]
mod - src/TKXmlTObj/CMakeLists.txt Diff ] File ]
mod - src/TKXmlXCAF/CMakeLists.txt Diff ] File ]
mod - src/TKXSBase/CMakeLists.txt Diff ] File ]
mod - src/TKXSDRAW/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-16 17:42 ibs New Issue
2015-11-16 17:42 ibs Assigned To => ibs
2015-11-16 17:43 git Note Added: 0048246
2015-11-16 17:45 ibs Note Added: 0048248
2015-11-16 17:45 ibs Assigned To ibs => ski
2015-11-16 17:45 ibs Status new => resolved
2015-11-16 17:45 ibs Steps to Reproduce Updated View Revisions
2015-11-17 14:00 ski Note Added: 0048281
2015-11-17 14:00 ski Assigned To ski => bugmaster
2015-11-17 14:00 ski Status resolved => reviewed
2015-11-23 17:14 bugmaster Changeset attached => occt master fb3267c7
2015-11-23 17:14 bugmaster Status reviewed => verified
2015-11-23 17:14 bugmaster Resolution open => fixed
2016-04-17 14:19 git Note Added: 0053137
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker